#!/usr/bin/perl
###
use Compress::Zlib;
###
&DataGet;
###
sub DataGet{
	my($data,$zip,$all,$file,@dir);
	if(-s("../dat/log.js.gz") && -M("../dat/log.js.gz")<0.1){
		print "content-type:application/x-javascript\n";
		print "Content-Encoding:gzip\n\n";
		open(FILE,"../dat/log.js.gz");
		while(<FILE>){
			print $_;
		}
		close(FILE);
		exit;
	}
	$data="var Count=[";
	open(LOCK,"+>../lock.txt");
	flock(LOCK,2);
	open(FILE,"../dat/1.dat");
	while(<FILE>){
		$data.=$_;
	}
	close(FILE);
	$data.="," if(-s("../dat/1.dat") && -s("../dat/0.dat"));
	open(FILE,"../dat/0.dat");
	while(<FILE>){
		$data.=$_;
	}
	close(FILE);
	close(LOCK);
	$data.="];";
	$zip=Compress::Zlib::memGzip($data);
	open(FILE,"+>../dat/log.js.gz");
	print FILE $zip;
	close(FILE);
	&PrintGzip(\$zip);
}
###
sub PrintGzip{
	print "content-type:application/x-javascript\n";
	print "Content-Encoding:gzip\n\n";
	print ${$_[0]};
	exit;
}
###

